# Asterisk Project : Asterisk 12 Function_AES_ENCRYPT

Added by wikibot , edited by wikibot on Aug 29, 2013

# AES_ENCRYPT()

### Synopsis

Encrypt a string with AES given a 16 character key.

### Description

Returns an AES encrypted string encoded in base64.

### Syntax

    AES_ENCRYPT(key,string)

##### Arguments

- `key` - AES Key
- `string` - Input string

### See Also

- Asterisk 12 Function_AES_DECRYPT
- Asterisk 12 Function_BASE64_ENCODE
- Asterisk 12 Function_BASE64_DECODE

### Import Version

This documentation was imported from Asterisk Version Unknown